[UBUNTU] GCC Wrong code generate for floating point workloads Ubuntu 18.04

Bug #1815057 reported by bugproxy on 2019-02-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Matthias Klose
gcc-7 (Ubuntu)
Undecided
Skipper Bug Screeners
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-8 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

An IBM Z GCC backend problem leads to wrong code being generated for some floating point workloads.

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=88856

A patch has been committed to the GCC 7 and 8 upstream branch and needs to be picked up for the Ubuntu 18.04 compiler.

https://gcc.gnu.org/viewcvs/gcc?view=revision&revision=268551

This change might require rebuilding floating point related packages. Although the actual problem is hard to trigger. I could only reproduce it in case if conversion introduces load on condition instructions in the ce2 pass. The testcase I've looked into came from the python scipy package which builds with -funroll-loops. The load on condition opportunity in that case was introduced with the RTL loop unrolling. This made the split1 pass to use the problematic splitter generating wrong code in the end.

According to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=915738

The patch has been picked up for gcc-8 8.2.0-18 already

bugproxy (bugproxy) on 2019-02-07
tags: added: architecture-s39064 bugnameltc-175326 severity-high targetmilestone-inin18041
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
affects: linux (Ubuntu) → gcc-8 (Ubuntu)
affects: gcc-8 (Ubuntu) → gcc-7 (Ubuntu)
Changed in ubuntu-z-systems:
importance: Undecided → High
assignee: nobody → Matthias Klose (doko)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8 - 8.2.0-19ubuntu1

---------------
gcc-8 (8.2.0-19ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.2.0-18) unstable; urgency=medium

  * Update to SVN 20190207 (r268611) from the gcc-8-branch.
    - Fix PR target/88856 (S390X). Addresses: #915738. LP: #1815057.
    - Fix PR target/87064 (PPC), PR c++/89083, c++/80864, PR fortran/67679,
      PR tree-optimization/88105, PR tree-optimization/88223,
      PR middle-end/88448, PR middle-end/88415, PR tree-optimization/88030,
      PR tree-optimization/87929, PR tree-optimization/89135,
      PR tree-optimization/88903, PR c++/89158, PR c++/88983, PR c++/89119,
      PR c++/89024, PR c++/88988, PR middle-end/89002, PR middle-end/88968,
      PR c/89211, PR target/89188, PR rtl-optimization/89195, PR target/89186,
      PR middle-end/87887, PR tree-optimization/88107, PR sanitizer/89124,
      PR c++/89105, PR c++/66676, PR ipa/89104, PR middle-end/89002,
      PR target/89073, PR target/87214, PR tree-optimization/88964,
      PR tree-optimization/88964, PR target/88965, PR target/88905,
      PR rtl-optimization/49429, PR target/49454, PR rtl-optimization/86334,
      PR target/88906, PR target/88734, PR rtl-optimization/88870,
      PR bootstrap/88714, PR c/88568, PR debug/88723, PR debug/88635,
      PR c++/89187, PR c++/88988, PR c++/88976, PR c++/88949,
      PR sanitizer/88901, PR fortran/83246, PR fortran/89084,
      PR fortran/88902.
  * Update the support to build without packages being built by GCC 9.

 -- Matthias Klose <email address hidden> Thu, 07 Feb 2019 22:04:19 +0100

Changed in gcc-8 (Ubuntu):
status: New → Fix Released
Changed in ubuntu-z-systems:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7 - 7.4.0-5ubuntu1

---------------
gcc-7 (7.4.0-5ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-5) unstable; urgency=medium

  * Update to SVN 20190209 (r268732) from the gcc-7-branch.
    - Fix PR target/88856 (S390X). Addresses: #915738. LP: #1815057.
    - Fix PR target/85755 (PPC), PR target/87064 (PPC), PR target/87064 (PPC),
      PR fortran/67679, PR fortran/88393, PR libfortran/88678,
      PR target/88343 (PPC).

 -- Matthias Klose <email address hidden> Sat, 09 Feb 2019 23:19:08 +0100

Changed in gcc-7 (Ubuntu):
status: New → Fix Released
tags: added: id-5c5c535cbda80f71a56a79b1
Dimitri John Ledkov (xnox) wrote :

This is fixed in disco.

Just to manage expectations, as we do full-archive rebuilds across all architectures upon toolchain point release updates, landing these backports will take... a while.

Hopefully this will be released for both bionic & cosmic by end of year.

Łukasz Zemczak (sil2100) wrote :

As checking this requires specific hardware, can someone check if the issue is resolved once the updated packages land in cosmic-proposed and bionic-proposed?

Changed in gcc-7 (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic

Hello bugproxy, or anyone else affected,

Accepted gcc-7 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.4.0-1ubuntu1~18.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello bugproxy, or anyone else affected,

Accepted gcc-7 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.4.0-1ubuntu1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello bugproxy, or anyone else affected,

Accepted gcc-8 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.3.0-4ubuntu1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8 (Ubuntu Bionic):
status: New → Fix Committed

------- Comment From <email address hidden> 2019-04-02 07:37 EDT-------
(In reply to comment #14)
I had a look at the source package and confirm that the requested change is part of that package.

tags: added: verification-done verification-done-bionic verification-done-cosmic
removed: verification-needed verification-needed-bionic verification-needed-cosmic
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed

Hello bugproxy, or anyone else affected,

Accepted gcc-8 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.3.0-6ubuntu1~18.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8 (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
removed: verification-done verification-done-cosmic
Launchpad Janitor (janitor) wrote :
Download full text (17.4 KiB)

This bug was fixed in the package gcc-8 - 8.3.0-6ubuntu1~18.10

---------------
gcc-8 (8.3.0-6ubuntu1~18.10) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Update to the GCC 8.3.0 release.
  * Don't build from the ARM/Linaro branch on armhf/arm64.

gcc-8 (8.3.0-6ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-6) unstable; urgency=medium

  * Update to SVN 20190406 (r270182) from the gcc-8-branch.
    - Fix PR middle-end/89934, PR lto/89896.
  * Fix PR fortran/89981, taken from the trunk.

gcc-8 (8.3.0-5ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-5) unstable; urgency=medium

  * Update to SVN 20190403 (r270110) from the gcc-8-branch.
    - Fix PR target/89902 (x86), PR target/89903 (x86),
      PR rtl-optimization/89862, PR target/89848 (x86), PR web/87829,
      PR target/89827 (x86), PR fortran/83515, PR fortran/85797,
      PR fortran/78865.
  * Revert the fix for PC c++/88419, causing PR c++/89906. Closes: #926234.
  * Mark gcc-8-source as M-A: foreign.

gcc-8 (8.3.0-4ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-4) unstable; urgency=medium

  * Update to SVN 20190326 (r269936) from the gcc-8-branch.
    - Fix PR tree-optimization/89546, PR target/89523 (x86), PR fortran/84394,
      PR fortran/66089, PR fortran/66695, PR fortran/77746, PR fortran/79485,
      PR libgcc/60790, PR target/89775 (S390), PR debug/88389,
      PR rtl-optimization/89753, PR middle-end/88273, PR fortran/71861,
      PR fortran/68009.
  * gcc-8-base: Breaks gnat-6 (<< 6.4) to ease upgrades. Closes: #924911.
  * Fix cross building gdc (Helmut Grohne). Closes: #925040.
  * Fix package descriptions for cross packages.
  * Fix PR jit/87808: Don't rely on the gcc driver. Let libgccjit0
    depend on binutils and libgcc-dev. Closes: #911668.
  * Fix stripping the gcc-hppa64 package.

gcc-8 (8.3.0-3ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-3) unstable; urgency=medium

  * Update to SVN 20190316 (r269720) from the gcc-8-branch.
    - Fix PR tree-optimization/89505, PR target/89517 (AArch64),
      PR bootstrap/89539, PR debug/88878, PR debug/89514,
      PR tree-optimization/89536, PR target/88100 (PPC), PR target/89397 (x86),
      PR target/89361 (S390), PR c++/89212, PR fortran/89077,
      PR fortran/77583, PR fortran/89174, PR fortran/87689, PR fortran/84387,
      PR fortran/89516, PR fortran/89492, PR fortran/89266, PR fortran/88326,
      PR libfortran/89020, PR target/88530 (AArch64), PR target/88530 (AArch64),
      PR ipa/88235, PR c++/88820, PR c++/88869, PR c++/88419, PR c++/88690,
      PR c++/87921, PR c++/89381, PR c++/89576, PR c++/89422, PR c++/87513,
      PR c++/88183, PR c++/89585, PR fortran/71544, PR fortra...

Changed in gcc-8 (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gcc-8 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (10.0 KiB)

This bug was fixed in the package gcc-7 - 7.4.0-1ubuntu1~18.10

---------------
gcc-7 (7.4.0-1ubuntu1~18.10) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Fix target/88856, taken from the gcc-7-branch. LP: #1815057.
  * Fix PR tree-optimization/89505, taken from the gcc-8 branch.

gcc-7 (7.4.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-1) unstable; urgency=medium

  * GCC 7.4.0 release.
  * Back-out the gcc-search-prefixed-as-ld patch. See #915194.

gcc-7 (7.3.0-31ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.3.0-31) unstable; urgency=medium

  * GCC 7.4.0 release candidate 1.
  * Update to SVN 20181129 (r266612) from the gcc-7-branch.
    - Fix PR libstdc++/88199, PR libstdc++/87822, PR tree-optimization/79351,
      PR bootstrap/81033, PR target/81733, PR target/52795,
      PR middle-end/87645, PR middle-end/87610, PR tree-optimization/87665,
      PR tree-optimization/87745, PR tree-optimization/87665,
      PR middle-end/86139, PR middle-end/86076, PR target/88051 (x86),
      PR target/82961, PR target/87867 (ARM), PR tree-optimization/84777,
      PR rtl-optimization/84003, PR target/87853 (x86), PR target/87928 (x86),
      PR rtl-optimization/85925, PR debug/88006, PR debug/87462,
      PR middle-end/58372, PR c++/84281, PR c++/87075, PR fortran/88073,
      PR fortran/88143, PR fortran/87597.
  * Backport the libstdc++ mersenne twister optimization for AArch64, so that
    the random header is the same on all architectures (Ubuntu only).
    LP: #1799955.
  * Fix VCS attribute in the control file. Addresses: #912405.

gcc-7 (7.3.0-30ubuntu1) disco; urgency=medium

  * Backport the libstdc++ mersenne twister optimization for AArch64, so that
    the random header is the same on all architectures (Ubuntu only).
    LP: #1799955.

gcc-7 (7.3.0-30) unstable; urgency=medium

  * Update to SVN 20181030 (r265622) from the gcc-7-branch.
    - Fix PR middle-end/86542, PR middle-end/86539, PR middle-end/86660,
      PR libstdc++/87749, PR libstdc++/87704, PR libstdc++/79433,
      PR libstdc++/87641, PR libstdc++/86751, PR libstdc++/78595,
      PR libstdc++/87061, PR libstdc++/70966, PR libstdc++/77854,
      PR libstdc++/87538, PR tree-optimization/87473, PR middle-end/87623,
      PR target/87511 (AArch64), PR target/87550 (x86), PR middle-end/87248,
      PR rtl-optimization/87065, PR middle-end/86627, PR middle-end/86542,
      PR middle-end/86539, PR middle-end/86660, PR middle-end/87024,
      PR middle-end/86505, PR target/87370 (x86), PR target/87517 (x86),
      PR target/87522 (x86), PR other/87353, PR target/87467 (x86),
      PR target/87033 (PPC), PR debug/86687, PR c++/3698, PR c++/86208,
      PR fortran/86421.
  * Don't configure native builds with --with-sysroot. Apparently this cannot
    be completely overridden with the command line option --sysroot.
  * Update VCS attributes in the control file.

gcc-7 (7.3.0-29) unstable; urgency=medium

  * Update to SVN 20180904 (r264075) from the gcc-7-branch.
    - Fix PR sanitizer/86022, PR tree-optimization/85859, P...

Changed in gcc-7 (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.4 KiB)

This bug was fixed in the package gcc-8 - 8.3.0-6ubuntu1~18.04

---------------
gcc-8 (8.3.0-6ubuntu1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Update to the GCC 8.3.0 release.
  * Don't build from the ARM/Linaro branch on armhf/arm64.

gcc-8 (8.3.0-6ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-6) unstable; urgency=medium

  * Update to SVN 20190406 (r270182) from the gcc-8-branch.
    - Fix PR middle-end/89934, PR lto/89896.
  * Fix PR fortran/89981, taken from the trunk.

gcc-8 (8.3.0-5ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-5) unstable; urgency=medium

  * Update to SVN 20190403 (r270110) from the gcc-8-branch.
    - Fix PR target/89902 (x86), PR target/89903 (x86),
      PR rtl-optimization/89862, PR target/89848 (x86), PR web/87829,
      PR target/89827 (x86), PR fortran/83515, PR fortran/85797,
      PR fortran/78865.
  * Revert the fix for PC c++/88419, causing PR c++/89906. Closes: #926234.
  * Mark gcc-8-source as M-A: foreign.

gcc-8 (8.3.0-4ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-4) unstable; urgency=medium

  * Update to SVN 20190326 (r269936) from the gcc-8-branch.
    - Fix PR tree-optimization/89546, PR target/89523 (x86), PR fortran/84394,
      PR fortran/66089, PR fortran/66695, PR fortran/77746, PR fortran/79485,
      PR libgcc/60790, PR target/89775 (S390), PR debug/88389,
      PR rtl-optimization/89753, PR middle-end/88273, PR fortran/71861,
      PR fortran/68009.
  * gcc-8-base: Breaks gnat-6 (<< 6.4) to ease upgrades. Closes: #924911.
  * Fix cross building gdc (Helmut Grohne). Closes: #925040.
  * Fix package descriptions for cross packages.
  * Fix PR jit/87808: Don't rely on the gcc driver. Let libgccjit0
    depend on binutils and libgcc-dev. Closes: #911668.
  * Fix stripping the gcc-hppa64 package.

gcc-8 (8.3.0-3ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-3) unstable; urgency=medium

  * Update to SVN 20190316 (r269720) from the gcc-8-branch.
    - Fix PR tree-optimization/89505, PR target/89517 (AArch64),
      PR bootstrap/89539, PR debug/88878, PR debug/89514,
      PR tree-optimization/89536, PR target/88100 (PPC), PR target/89397 (x86),
      PR target/89361 (S390), PR c++/89212, PR fortran/89077,
      PR fortran/77583, PR fortran/89174, PR fortran/87689, PR fortran/84387,
      PR fortran/89516, PR fortran/89492, PR fortran/89266, PR fortran/88326,
      PR libfortran/89020, PR target/88530 (AArch64), PR target/88530 (AArch64),
      PR ipa/88235, PR c++/88820, PR c++/88869, PR c++/88419, PR c++/88690,
      PR c++/87921, PR c++/89381, PR c++/89576, PR c++/89422, PR c++/87513,
      PR c++/88183, PR c++/89585, PR fortran/71544, PR fortra...

Changed in gcc-8 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.2 KiB)

This bug was fixed in the package gcc-7 - 7.4.0-1ubuntu1~18.04

---------------
gcc-7 (7.4.0-1ubuntu1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Fix target/88856, taken from the gcc-7-branch. LP: #1815057.
  * Fix PR tree-optimization/89505, taken from the gcc-8 branch.

gcc-7 (7.4.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-1) unstable; urgency=medium

  * GCC 7.4.0 release.
  * Back-out the gcc-search-prefixed-as-ld patch. See #915194.

gcc-7 (7.3.0-31ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.3.0-31) unstable; urgency=medium

  * GCC 7.4.0 release candidate 1.
  * Update to SVN 20181129 (r266612) from the gcc-7-branch.
    - Fix PR libstdc++/88199, PR libstdc++/87822, PR tree-optimization/79351,
      PR bootstrap/81033, PR target/81733, PR target/52795,
      PR middle-end/87645, PR middle-end/87610, PR tree-optimization/87665,
      PR tree-optimization/87745, PR tree-optimization/87665,
      PR middle-end/86139, PR middle-end/86076, PR target/88051 (x86),
      PR target/82961, PR target/87867 (ARM), PR tree-optimization/84777,
      PR rtl-optimization/84003, PR target/87853 (x86), PR target/87928 (x86),
      PR rtl-optimization/85925, PR debug/88006, PR debug/87462,
      PR middle-end/58372, PR c++/84281, PR c++/87075, PR fortran/88073,
      PR fortran/88143, PR fortran/87597.
  * Backport the libstdc++ mersenne twister optimization for AArch64, so that
    the random header is the same on all architectures (Ubuntu only).
    LP: #1799955.
  * Fix VCS attribute in the control file. Addresses: #912405.

gcc-7 (7.3.0-30ubuntu1) disco; urgency=medium

  * Backport the libstdc++ mersenne twister optimization for AArch64, so that
    the random header is the same on all architectures (Ubuntu only).
    LP: #1799955.

gcc-7 (7.3.0-30) unstable; urgency=medium

  * Update to SVN 20181030 (r265622) from the gcc-7-branch.
    - Fix PR middle-end/86542, PR middle-end/86539, PR middle-end/86660,
      PR libstdc++/87749, PR libstdc++/87704, PR libstdc++/79433,
      PR libstdc++/87641, PR libstdc++/86751, PR libstdc++/78595,
      PR libstdc++/87061, PR libstdc++/70966, PR libstdc++/77854,
      PR libstdc++/87538, PR tree-optimization/87473, PR middle-end/87623,
      PR target/87511 (AArch64), PR target/87550 (x86), PR middle-end/87248,
      PR rtl-optimization/87065, PR middle-end/86627, PR middle-end/86542,
      PR middle-end/86539, PR middle-end/86660, PR middle-end/87024,
      PR middle-end/86505, PR target/87370 (x86), PR target/87517 (x86),
      PR target/87522 (x86), PR other/87353, PR target/87467 (x86),
      PR target/87033 (PPC), PR debug/86687, PR c++/3698, PR c++/86208,
      PR fortran/86421.
  * Don't configure native builds with --with-sysroot. Apparently this cannot
    be completely overridden with the command line option --sysroot.
  * Update VCS attributes in the control file.

gcc-7 (7.3.0-29) unstable; urgency=medium

  * Update to SVN 20180904 (r264075) from the gcc-7-branch.
    - Fix PR sanitizer/86022, PR tree-optimization/85859, P...

Read more...

Changed in gcc-7 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Frank Heimes (frank-heimes) wrote :

Adjusting tags according to comment #8.

tags: added: verification-done verification-done-cosmic
removed: verification-needed verification-needed-cosmic
Frank Heimes (frank-heimes) wrote :

Adapting project status.

Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2019-04-30 02:43 EDT-------
IBM Bugzilla status -> closed, Fix Released for all requested distros

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers